<?php
/**
 * /classification.php
 *
 
 * 
 * @package optask
 * @version $Id$
 * @license X-TRANS Develop License 1.0
 */

/**
 * Test classification model
 *
 * <pre>
 * </pre>
 *
 
 * 
 * @package optask
 * @version 1.0
 * @license X-TRANS Develop License 1.0
 */
class Test_Model_Classification extends TestCase
{
    /**
     * Test method FindList()
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testFindList()
    {
        //prepare data
        DB::query('DELETE FROM task')->execute();
        DB::query('DELETE FROM def')->execute();
        DB::query('DELETE FROM classification')->execute();
        DB::query("INSERT INTO `classification` (`id`, `name`, `deleted_status`) VALUES
                    (1, '通常', NULL),
                    (2, 'aaa', NULL),
                    (3, 'bbb', 1),
                    (4, 'ccc', NULL);")
                ->execute();

        //test 1
        $result = Model_Classification::findList();
        $expected_result = array(
            1 => '通常',
            2 => 'aaa',
            4 => 'ccc',
        );
        $this->assertEquals($expected_result, $result);

        //test 2
        $result = Model_Classification::findList(false);
        $expected_result = array(
            1 => '通常',
            2 => 'aaa',
            3 => 'bbb',
            4 => 'ccc'
        );
        $this->assertEquals($expected_result, $result);
    }
}
