<?php

/**
 * /position.php
 *
 
 * 
 * @package optask
 * @version $Id$
 * @license X-TRANS Develop License 1.0
 */

/**
 * Test Postion model
 *
 
 * 
 * @package optask
 * @version 1.0
 * @license X-TRANS Develop License 1.0
 */
class Test_Model_Position extends TestCase
{
    /**
     * Test method getAllPosition()
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testGetAllPosition()
    {
        Lang::load('language.ini');
        // prepare data
        DB::query('delete from position')->execute();
        DB::query("insert into position values
                (1,'AM',1),
                (2,'PM',2);")->execute();
        $actual = Model_Position::getAllPosition();

        $expected =  array(
            'all' => '全ての立場',
            1 => 'AM',
            2 => 'PM'
        );

        $this->assertEquals($actual, $expected);
    }
}