<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Login - Ctfresh</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/font/iconsmind/style.css' ?>" />
    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/font/simple-line-icons/css/simple-line-icons.css' ?>" />

    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/css/vendor/bootstrap.min.css' ?>" />
    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/css/vendor/bootstrap-float-label.min.css' ?>" />
    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/css/main.css' ?>" />
    <script> var base_url = '<?php echo Uri::base(); ?>';</script>
</head>

<body class="background show-spinner">
    <div class="fixed-background"></div>
    <main>
        <div class="container">
            <div class="row h-100">
                <div class="col-12 col-md-10 mx-auto my-auto">
                    <div class="card auth-card">
                        <div class="position-relative image-side ">

                            <p class=" text-white h2">ADMIN DASHBOARD</p>

                            <p class="white mb-0">
                               Please login to use the system

                            </p>
                        </div>
                        <div class="form-side">

                            <h6 class="mb-4">Login</h6>
                            <form method='POST'>
                                <label class="form-group has-float-label mb-4">
                                    <input class="form-control" name="username" />
                                    <span>Login ID</span>
                                </label>

                                <label class="form-group has-float-label mb-4">
                                    <input class="form-control" name="password" type="password" placeholder="" />
                                    <span>Password</span>
                                </label>
                                <div class="d-flex justify-content-between align-items-center">

                                    <button class="btn btn-primary btn-lg btn-shadow" type="submit">LOGIN</button>
                                </div>
                                <?php if (!empty($error)): ?>
                                    <p style="color: red"><?php echo $error; ?></p>
                                <?php endif; ?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
    <script src="<?php echo Uri::base() . 'assets/js/vendor/jquery-3.3.1.min.js' ?>"></script>
    <script src="<?php echo Uri::base() . 'assets/js/vendor/bootstrap.bundle.min.js' ?>"></script>
    <script src="<?php echo Uri::base() . 'assets/js/dore.script.js' ?>"></script>
    <script src="<?php echo Uri::base() . 'assets/js/scripts.js' ?>"></script>
</body>

</html>