<?php

use Fuel\Core\View;
use Fuel\Core\Input;

class Controller_admin_Dashboard extends Controller_Base
{
    public function __construct()
    {
        $this->data = [];
    }

    public function action_index()
    {
        $this->data['level'] = Model_level::query()
            ->order_by('id', 'DESC')
            ->get();
        return new Response(View::forge('admin/dashboard', $this->data));
    }

    public function action_ajax_update()
    {
        $level_sub_id = Input::post('level_sub_id');
        $status = Input::post('status');

        $level_sub = Model_levelsub::query()
            ->where('id', $level_sub_id)
            ->get_one();

        $level_sub->status = $status;
        $level_sub->save();

        echo 'true';
    }
}

