<?php

/**
 * Define const
 *
 * @package opTask
 * @since Aug 21, 2014
 */

//task
define('NORMAL_TASK_TYPE', 1);
define('REGULARLY_TASK_TYPE', 2);

//def
define('DEF_DAILY', 1);
define('DEF_WEEKLY', 2);
define('DEF_MONTHLY', 3);
define('DEF_END_CONDITION_DATE', 1);
define('DEF_END_CONDITION_TIME', 2);
define('DEF_END_CONDITION_ENDLESS', 3);

//def_daily
define('DAILY_EVERYDAY', 1);
define('DAILY_WEEKDAY', 2);
define('DAILY_HOLIDAY', 3);

//def_monthly
define('MONTHLY_LASTDATE', 1);
define('MONTHLY_DATE', 2);
define('MONTHLY_MONTH_WEEKDAY', 3);

//status , def_worker
define('STATUS_ASSIGN', 1);
define('STATUS_PROGRESS', 2);
define('STATUS_FINISH', 3);

// authority
define('ACCOUNT_MANAGER', 1);
define('AUTHORITY_MANAGER', 2);
define('DELETE_NORMAL_TASK', 3);
define('EDIT_DEF_TASK', 4);
define('EDIT_WORKER', 5);
define('POSITION_MANAGER', 6);
define('CLASSIFICATION_MANAGER', 7);
// format date
define('DATE_FORMAT','Y/m/d');
// shift view
define('SHIFT_VIEW_EARLY',1);
define('SHIFT_VIEW_LATE',2);
define('SHIFT_VIEW_NIGHT',3);
define('SHIFT_VIEW_NORMAL',4);
define('SHIFT_VIEW_ALL_SHIFT',5);
define('SHIFT_VIEW_NO_FILTER',6);

define('SHIFT_VIEW_EARLY_START','07:30:00');
define('SHIFT_VIEW_EARLY_END','15:00:00');
define('SHIFT_VIEW_LATE_END','22:30:00');
define('SHIFT_VIEW_NORMAL_START','09:00:00');
define('SHIFT_VIEW_NORMAL_END','18:00:00');
define('SHIFT_VIEW_NO_START','00:00:00');
define('SHIFT_VIEW_NO_END','23:59:59');
//task view type
define('DAY_VIEW', 1);
define('SHIFT_VIEW', 2);
define('MONTH_VIEW', 3);
define('POSITION_VIEW', 4);
define('VIEW_ALL_POSITION', 0);
// account
define('ACCOUNT_GROUP', 0);
define('MATCH_PATTERN', '/^([a-zA-Z\'\/~`\!@#\$%\^&\*\(\)_\-\+=\{\}\[\]\|;:"\<\>,\.\?\\\]*)$/');
define('ACCOUNT_MIN_LENGHT', 2);
define('ACCOUNT_MAX_LENGHT', 45);

//log file directory
define('LOG_FILE_DIR', '/var/log');