<?php
/**
 * /deftask.php
 *
 
 * 
 * @package optask
 * @version $Id$
 * @license X-TRANS Develop License 1.0
 */

/**
 * Test DefTask model
 *
 * <pre>
 * </pre>
 *
 
 * 
 * @package optask
 * @version 1.0
 * @license X-TRANS Develop License 1.0
 */
class Test_Model_DefTask extends TestCase
{
    /**
     * Test validate
     *
     * @return void
     *
     * @access public
     * @since 1.0
     * @version 1.0
     * 
     */
    public function testValidate()
    {
        //test case 1
        $testcase1 = array(
            'def_cycle_pattern' => '1',
            'def_daily_pattern' => '1',
            'def_end_condition' => '1',
            'def_start_cycle_date' => '2014/01/01'
        );

        $val = Model_DefTask::validate('create', $testcase1);
        $val->run($testcase1);
        $err = $val->error_message();
        $this->assertNotEmpty($err['def_name']);
        $this->assertNotEmpty($err['def_start_time']);
        $this->assertNotEmpty($err['def_end_time']);
        $this->assertNotEmpty($err['def_classification_id']);
        $this->assertNotEmpty($err['def_color_id']);
        $this->assertNotEmpty($err['def_position']);
        $this->assertNotEmpty($err['def_daily_cycle']);
        $this->assertNotEmpty($err['def_end_date']);
    }
}

