<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CTfresh2u</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/font/iconsmind/style.css' ?>" />
    <link rel="stylesheet" href="<?php echo Uri::base() . 'assets/font/simple-line-icons/css/simple-line-icons.css' ?>" />
    <?php echo Asset::render('css'); ?>
    <script> var base_url = '<?php echo Uri::base(); ?>';</script>
    <script src="<?php echo Uri::base() . "assets/js/vendor/jquery-3.3.1.min.js" ?>"></script>
</head>
<body id="app-container" class="menu-default show-spinner">
<?php if(Auth::get('group') == 1): ?>
    <?php include_once APPPATH.'views/admin/_sidebar.php'; ?>
<?php else: ?>
    <?php include_once APPPATH.'views/user/_sidebar.php'; ?>
<?php endif; ?>

    <main>
        <div class="container-fluid disable-text-selection">
            <div class="row">
                <div class="col-12">
                      <div class="card mb-4">
                        <div class="card-body">
                            <h4 class="mb-4">Change Password</h4>
                            <div class="row">
                                <div class="col-12">
                                    <?php if (Session::get_flash('success')) : ?>
                                        <div class="alert alert-success rounded" role="alert">
                                            <?php echo Session::get_flash('success'); ?>
                                        </div>
                                    <?php endif; ?>
                                    <?php if (Session::get_flash('error')) : ?>
                                        <div class="alert alert-danger rounded" role="alert">
                                            <?php echo Session::get_flash('error'); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php echo Form::open(); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputEmail4">New Password <span style="color: red;">*</span></label>
                                        <input name='new_password' type="password" class="form-control"  placeholder="New Password" value="<?php echo Input::post('new_password') ?>">
                                        <?php echo Form::error('new_password', $err); ?>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="inputEmail4">Confirm Password <span style="color: red;">*</span></label>
                                        <input name='confirm_password' type="password" class="form-control"  placeholder="Confirm Password" value="<?php echo Input::post('confirm_password') ?>">
                                        <?php echo Form::error('confirm_password', $err); ?>
                                    </div>
                                </div>
                                 <button type="submit" class="btn btn-primary d-block mt-3">UPDATE</button>
                                 <span class="form-text text-muted"><span style="color: red;">*</span> is a required field</span>
                            <?php echo Form::close(); ?>
                        </div>
                    </div>
        </div>
    </main>
    <?php echo Asset::render('js'); ?>
</body>
</html>