<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Demo</title>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo Uri::base().'assets/vendor/bootstrap/css/bootstrap.min.css' ?>" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <style>
        html {
            overflow-y: auto;
        }
        body {
            font-family: 'Roboto';
            overflow-y: auto;
        }

        a {
            color: white;
        }

        a:hover {
            color: white;
            text-decoration: none;
        }

        .grid {
            background-color: #8B0003;
            box-shadow: px px;
            margin: 0.5px;
            font-family: ;
            color: white;
            font-size: 10px;
            padding-top: 12px !important;
            border-radius: 6px;
            letter-spacing: 1px;
        }

        @media (max-width: 767px) {
            .navbar {
                padding-left: 50px !important;
            }
        }

        .grid-available {
            background-color: #299155;
            box-shadow: px px;
            margin: 0.5px;
            border: 0.5px solid grey;
            font-family: ;
            color: black;
            font-size: 10px;
            padding-top: 12px !important;
            border-radius: 3px;
            letter-spacing: 1px;
            font-weight: 500;
        }

        .grid-booked {
            background-color: #1a0000;
            box-shadow: px px;
            margin: 0.5px;
            border: 0.5px solid grey;
            font-family: ;
            color: black;
            font-size: 10px;
            padding-top: 12px !important;
            border-radius: 3px;
            letter-spacing: 1px;
            font-weight: 500;
        }

        .grid-white {
            background-color: #1a0000;
            color: white;
            margin: 0.5px;
            font-size: 10px;
            border: 1px solid black;
            padding-top: 12px !important;
            font-weight: 500;
            border-radius: 3px;
            letter-spacing: 1px;
        }

        .white {
            background-image: url("<?php echo Uri::base() . 'assets/img/marble.jpg' ?>");
            /* border-color: black;
            color: black;
            margin: 0.5px;
            border: 1px solid black;
            font-weight: 500;
            font-size: 12px;
            padding-top: 20px !important;
            border-radius: 6px; */
            border-color: black;
            color: black;
            margin: 0.5px;
            border: 1px solid black;
            font-weight: 500;
            font-size: 12px;
            /* padding-top: 20px !important; */
            border-radius: 6px;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 15px 0;
        }

        .hvr-fade {
            display: inline-block;
            vertical-align: middle;
            -webkit-transform: perspective(1px) translateZ(0);
            transform: perspective(1px) translateZ(0);
            box-shadow: 0 0 1px rgba(0, 0, 0, 0);
            overflow: hidden;
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
            -webkit-transition-property: color, background-color;
            transition-property: color, background-color;
        }

        .hvr-fade:hover,
        .hvr-fade:focus,
        .hvr-fade:active {
            background-color: #C1090D;
            color: white;
        }

        @-webkit-keyframes hvr-back-pulse {
            50% {
                background-color: #C10A0E;
            }
        }

        @keyframes hvr-back-pulse {
            50% {
                background-color: #C1090D;
            }
        }

        .hvr-back-pulse {
            display: inline-block;
            vertical-align: middle;
            -webkit-transform: perspective(1px) translateZ(0);
            transform: perspective(1px) translateZ(0);
            box-shadow: 0 0 1px rgba(0, 0, 0, 0);
            overflow: hidden;
            -webkit-transition-duration: 0.5s;
            transition-duration: 0.5s;
            -webkit-transition-property: color, background-color;
            transition-property: color, background-color;

        }

        .hvr-back-pulse:hover,
        .hvr-back-pulse:focus,
        .hvr-back-pulse:active {
            -webkit-animation-name: hvr-back-pulse;
            animation-name: hvr-back-pulse;
            -webkit-animation-duration: 1s;
            animation-duration: 1s;
            -webkit-animation-delay: 0.5s;
            animation-delay: 0.5s;
            -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
            -webkit-animation-iteration-count: infinite;
            animation-iteration-count: infinite;
            background-color: #C1090D;
            background-color: #C1090D;
            color: white;
            text-decoration: none;
        }

        .modal-window {
            position: fixed;
            background-color: rgba(255, 255, 255, 0.25);
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 999;
            visibility: hidden;
            opacity: 0;
            pointer-events: none;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }

        .modal-window:target {
            visibility: visible;
            opacity: 1;
            pointer-events: auto;
        }

        .modal-window>div {
            width: 400px;
            max-width: 90vw;
            position: absolute;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            background: #ffffff;
            box-shadow: 0 0 70px #1b1111;
        }

        .modal-window header {
            font-weight: bold;
        }

        .modal-window h1 {
            font-size: 150%;
            margin: 0 0 15px;
        }

        .modal-close {
            color: #aaa;
            line-height: 50px;
            font-size: 80%;
            position: absolute;
            right: 0;
            text-align: center;
            top: 0;
            width: 70px;
            text-decoration: none;
        }

        .modal-close:hover {
            color: black;
        }

        /* Demo Styles */
        html,
        body {
            height: 100%;
        }


        .modal-window div:not(:last-of-type) {
            margin-bottom: 15px;
        }

        small {
            color: #aaa;
        }

        .property-detail {
            font-size: 13px;
        }

        .container-fluid {
            width: 1200px !important;
        }

        .row {
            justify-content: center;
        }
    </style>
</head>

<body>

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark  static-top" style="padding-left:65px; position: fixed; background: white; z-index: 9; padding-bottom: 10px;">
        <div class="container-fluid text-center">

            <div class="" style="display: flex; align-items: center; margin-top: 10px;">

                <span style="height: 35px; width: 35px; background: #299155; margin-right:5px; border-radius: 5px;"></span>
                <span style="font-size: 14px;">Available</span>

                <span style="height: 35px; width: 35px; background: #1a0000; margin-right:5px; border-radius: 5px; margin-left: 10px;"></span>
                <span style="font-size: 14px;">Booked</span>

                <span style="height: 35px; width: 35px; background: #8B0003; margin-right:5px; border-radius: 5px; margin-left: 10px;"></span>
                <span style="font-size: 14px;">Sold</span>

            </div>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive"
                aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">

            </button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="#">
                            <span class="sr-only">)</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#"></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#"></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#"></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div>
        <!-- Page Content -->
        <div class="container-fluid" style="padding-top: 100px; padding-bottom: 50px;">
            <div class="row">
                <div class="col-12 text-center">
                    <div id="open-modal" class="modal-window">
                        <div style="">
                            <a href="#" title="Close" class="modal-close"
                                style="color:white;text-decoration:none;">X</a>

                            <img src="<?php echo Uri::base() . 'assets/img/11111.jpg' ?>" alt="Paris" width="100%" height="100%" style="">
                            <h3 class="text-center" style="padding-top: 15px; padding-bottom: 10px;margin-left:15px;">
                                TYPE B1 <span style="font-size: 18px;">(3 beds & 2 baths)</span></h3>
                            <div class="property-detail text-center">
                                <p><b>Price:</b> RM 598,888</p>
                                <p style="margin-top:-5px;margin-bottom:40px;"><b>Built-Up (Sq.ft.):</b> 1055</p>
                            </div>
                            <div class="property-detail text-center" style="padding: 5px;">
                                <button onclick="return confirm('<?php echo 'Are you sure you want to do this action?'; ?>')" id="btn-make-available" style="background: #299155; border-radius: 5px; color: #fff; padding: 3px;">available</button>
                                <button onclick="return confirm('<?php echo 'Are you sure you want to do this action'; ?>')" id="btn-make-booked" style="background: #1a0000; border-radius: 5px; color: #fff; padding: 3px;">Booked</button>
                                <button onclick="return confirm('<?php echo 'Are you sure you want to do this action'; ?>')" id="btn-make-sold" style="background: #8B0003; border-radius: 5px; color: #fff; padding: 3px;">Sold</button>
                            </div>
                            <input type="hidden" value='' id="md-level-sub-id" />
                        </div>
                    </div>

                    <?php foreach ($level as $l): ?>
                        <div class="row">
                            <div class="col-1 white is-mobile">
                                <span style="font-weight: 600;"><?php echo $l->name ?></span>
                            </div>

                            <?php foreach ($l->sub as $sub): ?>

                                <?php
                                    $class_status = '';
                                    if ($sub->status == 'available') {
                                        $class_status = 'grid-available';
                                    } else if ($sub->status == 'booked') {
                                        $class_status = 'grid-booked';
                                    }
                                ?>

                                <div class="col-1 grid hvr-back-pulse hover <?php echo $class_status; ?>">
                                    <a class="box-level-sub" href="#open-modal"  level_sub_id=<?php echo $sub->id ?> >
                                        <p>
                                            <span><?php echo $sub->name ?></span></br>
                                            <span><?php echo $sub->name_sub ?></span>
                                        </p>
                                    </a>
                                </div>

                            <?php endforeach; ?>
                        </div>

                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    </div>


    <!-- Bootstrap core JavaScript -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="<?php echo Uri::base().'assets/vendor/bootstrap/js/bootstrap.bundle.min.js' ?>"></script>
    <script>
        $(function() {
            // Get the modal
            var modal = document.getElementById('open-modal');
            modal.style.display = "none";

            $('.box-level-sub').click(function() {
                modal.style.display = "";
            })

            // When the user clicks anywhere outside of the modal, close it
            window.onclick = function (event) {
                if (event.target == modal) {
                    modal.style.display = "none";
                }
            }

            $('.box-level-sub').click(function() {
                $('#md-level-sub-id').val($(this).attr('level_sub_id'))
            })

            $('#btn-make-available').click(function() {
                update('available')
            })

            $('#btn-make-booked').click(function() {
                update('booked')
            })

            $('#btn-make-sold').click(function() {
                update('sold')
            })

            function update(status) {
                var level_sub_id = $('#md-level-sub-id').val()
                $.ajax({
                    url: "<?php echo Uri::base().'admin/dashboard/ajax_update';?>",
                    type: "POST",
                    data: { level_sub_id, status },
                    dataType : 'html',
                    success: function (data) {
                        location.reload()
                    },
                    fail: function (data) {
                        alert('Something wrong, please try again!')
                    }
                })
            }

        })
    </script>

</body>

</html>